For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Task Fields
      • POSTCreate Task Field
      • GETQuery Task Fields
      • DELDelete Task Field
      • GETRetrieve All TaskField Values
      • GETQuery Task Field Values
      • GETRetrieve Task Field Value
      • PUTUpdate Task Field Value
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Field

Update Task Field Value

PUT
https://api.projectmanager.com/api/data/tasks/:taskId/fields/:fieldId/values
PUT
/api/data/tasks/:taskId/fields/:fieldId/values
$curl -X PUT https://api.projectmanager.com/api/data/tasks/taskId/fields/fieldId/values \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "changeSetId": "string",
15 "id": "string"
16 }
17}
Replaces the current value of a TaskField for a specific Task within your Workspace. A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.
Was this page helpful?
Previous

Get Task Files

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the Task whose value you wish to update
fieldIdstringRequiredformat: "uuid"
The unique identifier of the TaskField whose value you wish to update

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new value for this TaskField for this Task
valuestringOptional
The new value to be set for this TaskField.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Returns the id of a specific ChangeSet